> For the complete documentation index, see [llms.txt](https://docs.zama.org/concrete/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.zama.org/concrete/2.7-1/tutorials/see-all-tutorials.md).

# See all tutorials

### Start here

* [Part I - Concrete, Zama's Fully Homomorphic Encryption Compiler](https://www.zama.ai/post/zama-concrete-fully-homomorphic-encryption-compiler)
* [Part II - The Architecture of Concrete, Zama's Fully Homomorphic Encryption Compiler Leveraging MLIR](https://www.zama.ai/post/the-architecture-of-concrete-zama-fully-homomorphic-encryption-compiler-leveraging-mlir)

### Go further

#### Code examples on GitHub

* [Key value database](https://github.com/zama-ai/concrete/blob/release/2.7.x/docs/application-tutorial/key_value_database.ipynb)
* [SHA-256](https://github.com/zama-ai/concrete/blob/release/2.7.x/docs/application-tutorial/sha256.ipynb)
* [Game of Life](https://github.com/zama-ai/concrete/blob/release/2.7.x/frontends/concrete-python/examples/game_of_life/game_of_life.md)
* [XOR distance](https://github.com/zama-ai/concrete/blob/release/2.7.x/frontends/concrete-python/examples/xor_distance/xor_distance.md)
* [SHA1 with Modules](https://github.com/zama-ai/concrete/blob/release/2.7.x/frontends/concrete-python/examples/sha1/sha1.md)

#### Blog tutorials

* [The Encrypted Game of Life in Python Using Concrete](https://www.zama.ai/post/the-encrypted-game-of-life-using-concrete-python) - November 7, 2023
* [Encrypted Key-value Database Using Homomorphic Encryption](https://www.zama.ai/post/encrypted-key-value-database-using-homomorphic-encryption) - March 16, 2023

#### Video tutorials

* [Compile composable functions with Concrete](https://www.youtube.com/watch?v=TBXDxu2SMr0) - February 22, 2024
* [How to use dynamic table look-ups using Concrete](https://www.youtube.com/watch?v=1sboqhSeKfs) - October 27, 2023
* [Dive into Concrete - Zama's Fully Homomorphic Encryption Compiler](https://www.zama.ai/post/video-tutorial-dive-into-concrete-zamas-fully-homomorphic-encryption-compiler) - October 4, 2023
* [How To Get Started With Concrete - Zama's Fully Homomorphic Encryption Compiler](https://www.zama.ai/post/how-to-started-with-concrete-zama-fully-homomorphic-encryption-compiler) - July 28, 2023

{% hint style="success" %}
**Zama 5-Question Developer Survey**

We want to hear from you! Take 1 minute to share your thoughts and helping us enhance our documentation and libraries. **👉** [**Click here**](https://zvajd6l0ngk.typeform.com/to/I7mXXanI) to participate.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.zama.org/concrete/2.7-1/tutorials/see-all-tutorials.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
